Bug 60858 - New port: textproc/p5-Lingua-PT-Stemmer
Summary: New port: textproc/p5-Lingua-PT-Stemmer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-03 16:30 UTC by Thorsten Greiner
Modified: 2004-01-09 02:54 UTC (History)
0 users

See Also:


Attachments
file.shar (2.09 KB, text/plain)
2004-01-03 16:30 UTC, Thorsten Greiner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thorsten Greiner 2004-01-03 16:30:16 UTC
Add Lingua::PT::Stemmer, which provides stemmers for Portuguese and Galician.
Note that this port will be required to make textproc/p5-Lingua-Stem work
with all locales.

How-To-Repeat: Unpack shar archive.
Comment 1 Pete Fritchman freebsd_committer 2004-01-08 04:04:59 UTC
State Changed
From-To: open->feedback

A couple things: 
- better pkg-descr? 
- I changed the Makefile to use only one tab after '=' signs 
- remove redundant MAN3PREFIX (PERL_CONFIGURE takes care of this for you) 
It doesn't seem to build on 4.x with system perl: 
===>  Configuring for p5-Lingua-PT-Stemmer-0.01 
Checking if your kit is complete... 
Looks good 
Could not eval ' 
package ExtUtils::MakeMaker::_version; 
no strict; 

local $VERSION; 
$VERSION=undef; do { 
our $VERSION = '0.01'; 
}; $VERSION 
' in lib/Lingua/PT/Stemmer.pm: Can't modify subroutine entry in scalar assignment at (eval 6) line 7, at EOF 
*** Error code 2
Comment 2 Pete Fritchman freebsd_committer 2004-01-09 02:53:31 UTC
State Changed
From-To: feedback->closed

New port added, thanks.  I changed a couple things: 
* set IGNORE instead of BROKEN, with a shorter message 
* better pkg-plist